ghc-mod-5.6.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Debug

Synopsis

- debugInfo :: IOish m => GhcModT m String
- rootInfo :: forall m. (IOish m, GmOut m, GmEnv m) => m String
- componentInfo :: IOish m => [String] -> GhcModT m String

# Documentation

debugInfo :: IOish m => GhcModT m String #

Obtaining debug information.

rootInfo :: forall m. (IOish m, GmOut m, GmEnv m) => m String #

Obtaining root information.

componentInfo :: IOish m => [String] -> GhcModT m String #